Package ru.bitel.bgbilling.modules.assist.common.bean

# Class AssistPaymentRecurring

java.lang.Object
ru.bitel.bgbilling.modules.assist.common.bean.AssistPaymentRecurring

All Implemented Interfaces:
  `ContractIdable`

public class AssistPaymentRecurring extends Object implements ContractIdable
Настройки рекуррентных платежей юзеров.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AssistPaymentRecurring()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getAmount()`
  `long`
  `getBillnumber()`
  `String`
  `getContractComment()`
  `int`
  `getContractId()`
  Возвращает id договора
  `String`
  `getContractTitle()`
  `Date`
  `getDate()`
  `int`
  `getId()`
  `int`
  `getOrdernumber()`
  `BigDecimal`
  `getRecurringMaxAmount()`
  `Date`
  `getRecurringMaxDate()`
  `BigDecimal`
  `getRecurringMinAmount()`
  `int`
  `getRecurringPeriod()`
  `void`
  `setAmount(BigDecimal amount)`
  `void`
  `setBillnumber(long billnumber)`
  `void`
  `setContractComment(String contractComment)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setContractTitle(String contractTitle)`
  `void`
  `setDate(Date date)`
  `void`
  `setId(int id)`
  `void`
  `setOrdernumber(int ordernumber)`
  `void`
  `setRecurringMaxAmount(BigDecimal recurringMaxAmount)`
  `void`
  `setRecurringMaxDate(Date recurringMaxDate)`
  `void`
  `setRecurringMinAmount(BigDecimal recurringMinAmount)`
  `void`
  `setRecurringPeriod(int recurringPeriod)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AssistPaymentRecurring

    public AssistPaymentRecurring()

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public void setId(int id)

  - ### getContractId

    public int getContractId()
    Description copied from interface: `ContractIdable`
    Возвращает id договора
    Specified by:
      `getContractId` in interface `ContractIdable`
    Returns:

  - ### setContractId

    public void setContractId(int contractId)

  - ### getDate

    public Date getDate()

  - ### setDate

    public void setDate(Date date)

  - ### getAmount

    public BigDecimal getAmount()

  - ### setAmount

    public void setAmount(BigDecimal amount)

  - ### getBillnumber

    public long getBillnumber()

  - ### setBillnumber

    public void setBillnumber(long billnumber)

  - ### getOrdernumber

    public int getOrdernumber()

  - ### setOrdernumber

    public void setOrdernumber(int ordernumber)

  - ### getRecurringMinAmount

    public BigDecimal getRecurringMinAmount()

  - ### setRecurringMinAmount

    public void setRecurringMinAmount(BigDecimal recurringMinAmount)

  - ### getRecurringMaxAmount

    public BigDecimal getRecurringMaxAmount()

  - ### setRecurringMaxAmount

    public void setRecurringMaxAmount(BigDecimal recurringMaxAmount)

  - ### getRecurringPeriod

    public int getRecurringPeriod()

  - ### setRecurringPeriod

    public void setRecurringPeriod(int recurringPeriod)

  - ### getRecurringMaxDate

    public Date getRecurringMaxDate()

  - ### setRecurringMaxDate

    public void setRecurringMaxDate(Date recurringMaxDate)

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public void setContractTitle(String contractTitle)

  - ### getContractComment

    public String getContractComment()

  - ### setContractComment

    public void setContractComment(String contractComment)